Package com.mockobjects.servlet

# Class MockRequestDispatcher

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.servlet.MockRequestDispatcher

All Implemented Interfaces:
  `Verifiable`

public class MockRequestDispatcher extends MockObject

## Constructor Summary

Constructors
Constructor
Description
`MockRequestDispatcher()`

## Method Summary

Modifier and Type
Method
Description
`void`
`forward(ServletRequest aRequest, ServletResponse aResponse)`
`void`
`include(ServletRequest aRequest, ServletResponse aResponse)`
`void`
`setExpectedRequest(ServletRequest aRequest)`
`void`
`setExpectedResponse(ServletResponse aResponse)`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockRequestDispatcher

public MockRequestDispatcher()

## Method Details

### setExpectedRequest

public void setExpectedRequest(ServletRequest aRequest)

### setExpectedResponse

public void setExpectedResponse(ServletResponse aResponse)

### forward

public void forward(ServletRequest aRequest, ServletResponse aResponse) throws ServletException, IOException

Throws:
  `ServletException`
  `IOException`

### include

public void include(ServletRequest aRequest, ServletResponse aResponse) throws ServletException, IOException

Throws:
  `ServletException`
  `IOException`